This patch prints todays date in hcal in bold.
It's quite simple and sort of a hack since it uses escape codes instead of
ncurses or any thing like that. But well it works.

diff -Nuar libhdate-1.4.9/examples/hcal/hcal.c libhdate-1.4.9-blambi/examples/hcal/hcal.c
--- libhdate-1.4.9/examples/hcal/hcal.c	2007-04-07 22:29:51.000000000 +0200
+++ libhdate-1.4.9-blambi/examples/hcal/hcal.c	2008-01-06 12:30:38.000000000 +0100
@@ -291,7 +291,7 @@
 int
 print_calendar (int month, int year, int opt_h, int opt_d)
 {
-	hdate_struct h;
+	hdate_struct h, today;
 	int jd;
 	int i, j;
 	char type_char[] = { '/', '+', '*', '-' };
@@ -300,6 +300,9 @@
 	/* Find day to start calendar with */
 	hdate_set_gdate (&h, 1, month, year);
 
+	/* set today to today, so we know what day to highlight */
+	hdate_set_gdate (&today, 0, 0, 0);
+
 	/* return print head to sunday */
 	jd = h.hd_jd - h.hd_dw + 1;
 
@@ -356,10 +359,22 @@
 				if (h.gd_mon == month)
 				{
 					/* Print a day */
-					printf ("%2d%c%3s", h.gd_day,
-						type_char[holyday_type],
-						hdate_get_int_string (h.
-								      hd_day));
+					if (h.gd_day != hdate_get_gday(&today))
+					{
+						printf ("%2d%c%3s", h.gd_day,
+							type_char[holyday_type],
+							hdate_get_int_string (h.
+									      hd_day));
+					}
+					else /* It's today, lets print it in bold */
+					{
+						printf ("%c[1m", 27);
+						printf ("%2d%c%3s", h.gd_day,
+							type_char[holyday_type],
+							hdate_get_int_string (h.
+									      hd_day));
+						printf ("%c[m", 27);
+					}
 				}
 				if (j != 6)
 					printf ("\t");
